Bug 114166 - FILEOPEN DOCX The Y Category Axis label disappears in LibreOffice Writer
Summary: FILEOPEN DOCX The Y Category Axis label disappears in LibreOffice Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Chart-Labels
  Show dependency treegraph
 
Reported: 2017-11-30 10:49 UTC by Gabor Kelemen (allotropia)
Modified: 2022-02-18 04:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file made with Word 2016 (44.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-11-30 10:49 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by LO6 alpha (35.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-11-30 10:55 UTC, Gabor Kelemen (allotropia)
Details
The two files in Writer and Word side by side (223.97 KB, image/png)
2017-11-30 10:56 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2017-11-30 10:49:16 UTC
Created attachment 138111 [details]
Example file made with Word 2016

If we create a simple Bar Chart in Microsoft Word 2016 and we set two column for X category axis, in that case in Microsoft Office Word two category label will appear on the X axis. If we open the same document in LibreOffice Writer the labels disappear from the chart and also from the Data Table.

Steps to reproduce:
1. Create a new document in Microsoft Word.
2. Click on Insert, and add a chart to the document.
3. Choose the Stacked Bar Chart and click OK.
4. Insert a new column in front of ‘Column A’ in the pop-up excel spreadsheet.
5. Enter a new value in ‘A2’ cell. (Do not need modify the default data on other cells).
6. Modify the category axis label at “Select data” and select the first two column (=Munka1!$A$2:$B$5). Click OK.
7. Save the file as DOCX and open it with LibreOffice Writer.

Actual results:
The X category axis label disappears from the chart and the data disappears from the Data Table.

Expected results:
The X category axis label and the data in the Data Table should be preserved.
Comment 1 Gabor Kelemen (allotropia) 2017-11-30 10:55:37 UTC
Created attachment 138112 [details]
The example file saved by LO6 alpha
Comment 2 Gabor Kelemen (allotropia) 2017-11-30 10:56:03 UTC
Created attachment 138114 [details]
The two files in Writer and Word side by side
Comment 3 Xisco Faulí 2017-11-30 13:49:49 UTC
Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group threaded

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 4 Commit Notification 2019-07-24 12:04:51 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fa0a981af41a2606541eec1cb20a379a739691e0%5E%21

tdf#114166 DOCX chart import: fix missing complex categories

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.